#import "DataMuncher.h"

@implementation DataMuncher

- (id)init {
	if (self = [super init]) {
		unparsedData = [[NSMutableData alloc] init];
		[self reset];
	}
	return self;
}

- (NSMutableData *)unparsedData {
	return unparsedData;
}

- (void)reset {
	[self doesNotRecognizeSelector:_cmd];
}
- (NSData *)consumeData:(NSData *)data {
	[self doesNotRecognizeSelector:_cmd];
	return nil;
}

- (NSData *)finish {
	NSData *ret = [NSData dataWithData:unparsedData];
	[unparsedData setLength:0];
	[self reset];
	return ret;
}

- (void)dealloc {
	[unparsedData release];
	[super dealloc];
}

@end
